Nethserver and Badlock

Just wondering if Nethserver will be patched sometime in the next 2 weeks or so against Badlock ( http://badlock.org/ )?

1 Like

That would probably be the responsibility of the upstream CentOS team, not NS.

Cheers.

1 Like

See: Security advisory: Badlock Bug

Thanks for the information, that is useful to know.

Another issue on it: one of the dependencies for Adagious is something called winexe.x86_64 and this will prevent the updates from installing. If you remove winexe.x86_64 and Adagious and apply the updates, you won’t be able to reinstall them without jumping through all sorts of hoops and causing other problems. Someone may need to look into this.

1 Like

Holy :poop:!
Thanks for the report, we are checking it…

I uploaded a recompiled version of winexe from okconfig. It is quite outdated and its version is smaller. At least it satisfies the dependencies:

yum localinstall http://packages.nethesis.it/nethserver/6.7/testing/x86_64/Packages/winexe-1.01-1.x86_64.rpm
yum install nethserver-adagios

It probably does not work with adagios :thumbsdown:

Update: I opened a bug upstream:

1 Like

Yep, there’s some dependency issues. :grinning:

Apr 14 16:02:06 NethServer pkgaction[20344]: [YumRPMCheckError] [u’ERROR with rpm_check_debug vs depsolve:’, ‘libcli-ldap.so()(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, ‘libcli-ldap.so(SAMBA_4.0.0RC4)(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, ‘libdcerpc-samba.so()(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, ‘libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, ‘liberrors.so()(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, ‘liberrors.so(SAMBA_4.0.0RC4)(64bit) is needed by (installed) winexe-1.1-1.git.0.9d83c1e.el6.x86_64’, u’Please report this error at http://dev.nethserver.org/projects/nethserver’]

Cheers.

Not sure how to deal with this? Will there be a patch? Sorry this is a windows user questions and I have no idea how to use command line to fix.

Thus @dreamerman please make some research on the forum, ones @stephdl provides his wiki page with the most used Linux commands. Please read this page carefully.

on the NS wiki you have this -> http://wiki.nethserver.org/doku.php?id=howto:useful_commands but I maintain another page at https://wiki.contribs.org/Useful_Commands with more contents

1 Like

Possible fixes:

2 Likes